use <x-end-motor-nema23.scad>
use <x-end-idler.scad>
use <x-carriage.scad>

module x_axis()
{
	// x-rods
	for ( x = [-25, 25] )
	{
		translate([x, 0, 0])
		rotate([90, 0, 0])
		cylinder(h = 300, r=4, center=true);
	}

	// x-belt
	for ( z = [15.5, 32.5] )
	{
		translate([39, 50, z])
		cube([5, 300, 2], center = true);
	}

	// y-rods
	for ( y = [-120, 120] )
		{
		translate ([0, y, 24])
		rotate([0, 90, 0])
		cylinder(h = 200, r=4, center=true);
		}

	// y-belts
	for ( y = [-97.5, 115] )
		{
		translate([0, y, 52.5])
		cube([200, 5, 2], center = true);
		}

	// x-carriage
	translate([0, 0, 12])
	rotate([180, 0, 0])
	x_carriage();

	// x-end-idler
	translate ([0, -120, 24])
	x_end_idler();

	// x-end-motor
	translate ([0, 143, -12])
	x_end_motor_nema23();
	
	//translate([-42.5, 101, 6])
	//rotate ([90, 0, 90])
	//import_stl("/home/mccoyn/reprap/reprap-objects-1.1.1/Darwin/RP-parts-and-jigs/X-motor-bracket.stl");
}

x_axis();
